import 'package:flutter/material.dart';
import 'package:flx_id_overlay/flx_id_overlay.dart';
import 'package:get/get.dart';
import 'package:page_transition/page_transition.dart';

class FlxSignInAcceptController extends GetxController {
  final FlxSignInfoTunnelModel _signInfo;

  FlxSignInAcceptController(this._signInfo);

  void onAcceptButtonTap(BuildContext context) {
    Navigator.pushAndRemoveUntil(
      context,
      PageTransition(
        type: PageTransitionType.fade,
        child: FlxSignInScreen(
          signInfo: _signInfo,
        ),
      ),
      (e) => false,
    );
  }

  void onBackButtonTap(BuildContext context) {
    Navigator.of(context, rootNavigator: true).pop();
  }
}
